#!/bin/sh

KERNEL_VERSION=`uname -r`

case "$KERNEL_VERSION" in
"3.6."*|"3.10."*)
	PPTP_MODULES="slhc.ko ppp_generic.ko ppp_async.ko arc4.ko ppp_mppe.ko bsd_comp.ko zlib_deflate.ko ppp_deflate.ko x_tables.ko ip_tables.ko iptable_filter.ko nf_conntrack.ko nf_defrag_ipv4.ko nf_conntrack_ipv4.ko nf_nat.ko nf_nat_ipv4.ko iptable_nat.ko xt_nat.ko xt_REDIRECT.ko xt_multiport.ko xt_tcpudp.ko xt_state.ko ipt_MASQUERADE.ko"
	L2TP_MODULES="slhc.ko ppp_generic.ko ppp_async.ko arc4.ko ppp_mppe.ko bsd_comp.ko zlib_deflate.ko ppp_deflate.ko x_tables.ko ip_tables.ko iptable_filter.ko nf_conntrack.ko nf_defrag_ipv4.ko nf_conntrack_ipv4.ko nf_nat.ko nf_nat_ipv4.ko iptable_nat.ko xt_nat.ko xt_REDIRECT.ko xt_multiport.ko xt_tcpudp.ko xt_state.ko ipt_MASQUERADE.ko"
	OVPN_MODULES="x_tables.ko ip_tables.ko iptable_filter.ko nf_conntrack.ko nf_defrag_ipv4.ko nf_conntrack_ipv4.ko nf_nat.ko nf_nat_ipv4.ko iptable_nat.ko xt_nat.ko xt_REDIRECT.ko xt_multiport.ko xt_tcpudp.ko xt_state.ko ipt_MASQUERADE.ko tun.ko"
	;;
*)
	PPTP_MODULES="slhc.ko ppp_generic.ko ppp_async.ko arc4.ko ppp_mppe.ko bsd_comp.ko zlib_deflate.ko ppp_deflate.ko x_tables.ko ip_tables.ko iptable_filter.ko nf_conntrack.ko nf_defrag_ipv4.ko nf_conntrack_ipv4.ko nf_nat.ko iptable_nat.ko ipt_REDIRECT.ko xt_multiport.ko xt_tcpudp.ko xt_state.ko ipt_MASQUERADE.ko"
	L2TP_MODULES="slhc.ko ppp_generic.ko ppp_async.ko arc4.ko ppp_mppe.ko bsd_comp.ko zlib_deflate.ko ppp_deflate.ko x_tables.ko ip_tables.ko iptable_filter.ko nf_conntrack.ko nf_defrag_ipv4.ko nf_conntrack_ipv4.ko nf_nat.ko iptable_nat.ko ipt_REDIRECT.ko xt_multiport.ko xt_tcpudp.ko xt_state.ko ipt_MASQUERADE.ko"
	OVPN_MODULES="x_tables.ko ip_tables.ko iptable_filter.ko nf_conntrack.ko nf_defrag_ipv4.ko nf_conntrack_ipv4.ko nf_nat.ko iptable_nat.ko ipt_REDIRECT.ko xt_multiport.ko xt_tcpudp.ko xt_state.ko ipt_MASQUERADE.ko tun.ko"
	;;
esac
